Skip to content

List business roles

Request

Returns a paginated list of business roles for the specified organization.

Security
Bearer or PersonalAccessToken
Path
organizationIdstring, (uuid)required

Unique identifier of the organization

Query
Pageinteger, (int32)

The page number.

PageSizeinteger, (int32)

The number of items per page.

SortingKeystring(BusinessRolesSortingKey)

Optional sorting key.

Value:"Name"
Ascendingboolean

Whether to sort in ascending order.

GET
/api/v1/organizations/{organizationId}/settings/user/business-roles
curl -i -X GET \
  '/api/v1/organizations/{organizationId}/settings/user/business-roles?Page=0&PageSize=0&SortingKey=Name&Ascending=true' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

OK

Bodyapplication/json
itemsArray of objects(BusinessRoleSummary)required

The list of business roles.

paginationobject(PaginationResponse)required

Pagination metadata.

Response
{ "items": [ { … }, { … } ], "pagination": { "page": 1, "pageSize": 10, "totalCount": 2 } }